PAM_ERROR(3) | Library Functions Manual | PAM_ERROR(3)

# NAME

pam_error — display an error message

# SYNOPSIS

#include <sys/types.h>
#include <security/pam_appl.h>
int
pam_error(const pam_handle_t *pamh, const char *fmt, ...);

# DESCRIPTION

The pam_error() function displays an error message through the intermediary of the given PAM context's conversation function.

# RETURN VALUES

The pam_error() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_CONV_ERR`]
  Conversation failure.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

pam(3), pam_info(3), pam_prompt(3), pam_strerror(3), pam_verror(3)

# STANDARDS

The pam_error() function is an OpenPAM extension.

# AUTHORS

The pam_error() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.
The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 8.2